### Method

# Soup Session add_feature

#### Declaration [src]

    void
    soup_session_add_feature (
      SoupSession* session,
      SoupSessionFeature* feature
    )

#### Description [src]

Adds `feature`‘s functionality to `session`. You cannot add multiple features of the same `GType` to a session.

See the main `SoupSession` documentation for information on what features are present in sessions by default.

#### Parameters

`feature`

  Type: `SoupSessionFeature`

  An object that implements `SoupSessionFeature`.

  The data is owned by the caller of the method.